
*Initialize work environment

clear all
set more off
set maxvar 10000

local swdLocal = "INCLUDE HERE YOUR YOUR LOCAL DIRECTORY"	

global gsdData = "`swdLocal'/Data"
global gsdDo = "`swdLocal'/Do"
global gsdTemp = "`swdLocal'/Temp"
global gsdOutput = "`swdLocal'/Output"

*create the directories and folders 
mkdir "${gsdData}"
mkdir "${gsdData}/1-CleanInput"
mkdir "${gsdData}/1-CleanTemp"
mkdir "${gsdData}/1-CleanOutput"
mkdir "${gsdDo}"
mkdir "${gsdTemp}"
mkdir "${gsdOutput}"
	
*install packages used in the process
cap ssc install missings
cap ssc install labutil2
cap ssc install labutil
cap ssc install labmv
cap ssc install egenmore
cap ssc install outreg2
cap ssc install vincenty
cap ssc install fastgini
cap ssc install tabout
cap ssc install logout
cap ssc install svylorenz
cap ssc install shp2dta
cap ssc install spmap   
cap ssc install labmask 
cap ssc install insheetjson 
cap ssc install diff 
cap ssc install gicurve
cap ssc install geodist 
cap ssc install vincenty 
cap ssc install distinct
